%define module_name ipp2p
%define module_source %module_name-%version.tar.gz
%define module_source_dir %module_name-%version

Name: kernel-source-%module_name
Version: 0.8.2
Release: alt1

Summary: Linux %module_name kernel/iptables modules sources
License: GPL
Group: Development/Kernel
BuildArch: noarch

Url: http://www.ipp2p.org/
Source0: %module_source

BuildPreReq: kernel-build-tools >= 0.1-alt3

%description
IPP2P uses suitable search patterns to identify P2P traffic thus 
allowing the reliable identifcation of traffic belonging to many 
P2P networks. Once identified one may handle P2P traffic in 
different ways - dropping such traffic, putting into low priority 
classes or shaping to a given bandwidth limit is possible. 
Reducing costs, freeing network ressources and therefore 
improving network performance is often the result of using IPP2P.

%prep
%setup -c
%__mkdir -p %module_source_dir

%install
%__mkdir -p %buildroot%_usrsrc/kernel/sources/
%__mv %module_source_dir kernel-source-%module_name-%version
%__tar -c kernel-source-%module_name-%version | bzip2 -c > \
    %buildroot%_usrsrc/kernel/sources/kernel-source-%module_name-%version.tar.bz2

%files
%_usrsrc/kernel/sources/kernel-source-%module_name-%version.tar.bz2

%changelog
* Sun Oct 21 2007 Peter V. Saveliev <peet@altlinux.org> 0.8.2-alt1
- initial build
